Skip to main content
POST
/
v1
/
tasks
Add Tasks
curl --request POST \
  --url https://api.lobstr.io/v1/tasks \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>'
Add Leboncoin boutique directory URLs to your Leboncoin Boutiques Scraper squid. Each task should be a Leboncoin boutiques category URL.

Headers

Authorization
string
required
Your API authentication token. Value: Token YOUR_API_KEY
Content-Type
string
required
Request body format. Value: application/json

Request Body

FieldTypeRequiredDescription
squidstringYesHash of your squid configured with the Leboncoin Boutiques Scraper
tasksarrayYesArray of task objects, each containing a url field

Task Object

FieldTypeRequiredDescription
urlstringYesA Leboncoin boutiques directory URL (e.g. /boutiques/vehicules/toutes_categories or /boutiques/immobilier/toutes_categories)
Browse to a Leboncoin boutiques category page, then copy the path (e.g. /boutiques/vehicules/toutes_categories). You can also pass the full URL.

Code Examples

curl -X POST "https://api.lobstr.io/v1/tasks" \
  -H "Authorization: Token YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "squid": "YOUR_SQUID_HASH",
    "tasks": [
      {
        "url": "/boutiques/vehicules/toutes_categories"
      }
    ]
  }'

Response

200
{
  "duplicated_count": 0,
  "tasks": [
    {
      "id": "a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6",
      "created_at": "2026-06-09T10:00:00.000000",
      "is_active": true,
      "params": {
        "url": "/boutiques/vehicules/toutes_categories"
      },
      "object": "task"
    }
  ]
}